Bug 808453 - Way for an admin role user to view other non-admin user's customized dashboard/pages without logging in as the non-admin user
Way for an admin role user to view other non-admin user's customized dashboar...
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal (Show other bugs)
All All
medium Severity medium
: ER01
: 6.2.0
Assigned To: mposolda
6_2 In_Progress
Depends On:
Blocks: 1072148
  Show dependency treegraph
Reported: 2012-03-30 08:44 EDT by Anurag
Modified: 2018-02-06 14:19 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Previously, it was not possible for an Administrator to view and verify the permissions of a standard user without logging onto the portal as the user. Changes to the Administration console now permit an Administrator to "Impersonate" any user and verify their settings as they would experience them. This feature is described in detail in the Administration and Configuration Guide.
Story Points: ---
Clone Of:
: 1072148 (view as bug list)
Last Closed:
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Anurag 2012-03-30 08:44:12 EDT
This is a requirement for scenarios like below:

The Dashboard may be configured differently and personalized by a user. A support representative will require a way to see the user's current customization (like Dashboard , pages etc) in order to help with trouble shooting.
The support representative who will be having an admin role, should get to see the customization without logging as the non-admin user.
Comment 2 Boleslaw Dawidowicz 2014-04-07 05:37:32 EDT
Related GateIn documentation: https://docs.jboss.org/author/display/GTNPORTAL38/Impersonation
Comment 3 Boleslaw Dawidowicz 2014-04-07 05:38:51 EDT
Documentation for additional permission "user.impersonate.groups" related to this feature: https://docs.jboss.org/author/display/GTNPORTAL38/Portal+Default+Permission+Configuration
Comment 4 vramik 2014-04-30 04:17:25 EDT
Verified in ER01

Note You need to log in before you can comment on or make changes to this bug.